Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model
Class AbstractModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AddressBookModel, CalendarModel, DialogModel, ErrorModel, HomeModel, MailModel, OptionsModel, TasksModel

public abstract class AbstractModel
extends java.lang.Object
implements java.io.Serializable

This abstract class provides the base data model.

See Also:
  Serialized Form

Constructor Summary
`protected` | `AbstractModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, Accounts accounts)` Constructor.

Method Summary
`Accounts` | `getAccounts()` Gets the accounts.
`java.lang.String` | `getActualTitle()` Gets the actual title.
`FeatureGroup` | `getFeatureGroup()` Gets the feature group.
`GroupwarePreferences` | `getGroupwarePreferences()` Gets the groupware preferences.
`portlets.compoze.im.ImAccount` | `getImAccount()` Gets the Im account.
`portlets.compoze.groupware.controls.provider.ProviderCapabilities` | `getProviderCapabilities()` Gets the provider capabilities.
`java.lang.String` | `getTitle()` Gets the title.
`java.lang.String[]` | `getTitleArgs()` Gets the title args.
`java.lang.String[]` | `getTitleCrumbTrailKeys()` Gets the title crumb trail keys.
`boolean` | `isImAvailable()` Checks if Im is available.
`void` | `setActualTitle(java.lang.String str)` Sets the actual title.
`void` | `setImAccount(portlets.compoze.im.ImAccount ima)` Sets the Im account.
`void` | `setImAvailable(boolean bAvailable)` Sets the Im available flag.
`void` | `setTitle(java.lang.String str)` Sets the title.
`void` | `setTitleArgs(java.lang.String[] args)` Sets the title args.
`void` | `setTitleCrumbTrailKeys(java.lang.String[] keys)` Sets the title crumb trail keys (an array of property file keys).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractModel

    protected AbstractModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                            FeatureGroup featureGroup,
                            GroupwarePreferences groupwarePrefs,
                            Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `accounts` - the accounts

Method Detail

### getProviderCapabilities

    public portlets.compoze.groupware.controls.provider.ProviderCapabilities getProviderCapabilities()

  Gets the provider capabilities.

  Returns:
    the capabilities of the provider

### getAccounts

    public Accounts getAccounts()

  Gets the accounts.

  Returns:
    the accounts

### setTitle

    public void setTitle(java.lang.String str)

  Sets the title.

  Parameters:
    `str` - the title (may not be `null`)

### getTitle

    public java.lang.String getTitle()

  Gets the title.

  Returns:
    the title

### setTitleArgs

    public void setTitleArgs(java.lang.String[] args)

  Sets the title args.

### getTitleArgs

    public java.lang.String[] getTitleArgs()

  Gets the title args.

  Returns:
    the title args

### setTitleCrumbTrailKeys

    public void setTitleCrumbTrailKeys(java.lang.String[] keys)

  Sets the title crumb trail keys (an array of property file keys).

  Parameters:
    `keys` - the title crumb trail keys (may not be `null`)

### getTitleCrumbTrailKeys

    public java.lang.String[] getTitleCrumbTrailKeys()

  Gets the title crumb trail keys.

  Returns:
    the title crumb trail keys

### setActualTitle

    public void setActualTitle(java.lang.String str)

  Sets the actual title.

  Parameters:
    `str` - the actual title (may not be `null`)

### getActualTitle

    public java.lang.String getActualTitle()

  Gets the actual title.

  Returns:
    the actual title

### getFeatureGroup

    public FeatureGroup getFeatureGroup()

  Gets the feature group.

  Returns:
    the feature group or `null` if not available

### getGroupwarePreferences

    public GroupwarePreferences getGroupwarePreferences()

  Gets the groupware preferences.

  Returns:
    the groupware preferences

### isImAvailable

    public boolean isImAvailable()

  Checks if Im is available.

  Returns:
    `true` if Im is available; `false` otherwise

### setImAvailable

    public void setImAvailable(boolean bAvailable)

  Sets the Im available flag.

  Parameters:
    `bAvailable` - `true` if Im is available; `false` otherwise

### setImAccount

    public void setImAccount(portlets.compoze.im.ImAccount ima)

  Sets the Im account.

  Parameters:
    `ima` - the Im account

### getImAccount

    public portlets.compoze.im.ImAccount getImAccount()

  Gets the Im account.

  Returns:
    the Im account or `null` if not available

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.